For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportDeel Home
OverviewPlatformEmployer of RecordContractorsGlobal PayrollHREmbeddedDeel ITAPI ReferenceChangelog
OverviewPlatformEmployer of RecordContractorsGlobal PayrollHREmbeddedDeel ITAPI ReferenceChangelog
  • Resources
    • Blog
    • Community
    • API spec
  • Endpoints
      • POSTAdd additional information
      • POSTAdd bank account
      • GETList of tax documents for an employee
      • PATCHUpdate additional information
    • PATCHProfiles
LogoLogo
SupportDeel Home
EndpointsEor Worker Information

Update additional information

PATCH
/eor/workers/contracts/:contract_id/additional-information
PATCH
/rest/v2/eor/workers/contracts/:contract_id/additional-information
$curl -X PATCH https://api.letsdeel.com/rest/v2/eor/workers/contracts/37nex2x/additional-information \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "body": {
> "data": {
> "emergency_contact_name": "Jane Doe",
> "emergency_contact_phone": "+1-555-123-4567",
> "preferred_language": "English",
> "work_location": "New York Office",
> "additional_notes": "Requires ergonomic chair due to back issues"
> }
> }
>}'
1{
2 "data": {
3 "updated": true
4 }
5}

Partially updates the additional information on an EOR employee agreement. This operation is only permitted when the contract status is new, under_review, or waiting_for_employee_contract; invoking it with any other status will result in an error. Token scopes: worker:write

Was this page helpful?
Previous

Change EOR Mailbox Password

Next
Built with

Authentication

AuthorizationBearer
## Authentication The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail. ```curl curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \ -H 'Authorization: Bearer YOUR-TOKEN-HERE' ``` [Learn more about authentication](/api/authentication)
OR
AuthorizationBearer

Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

Path parameters

contract_idstringRequired
Deel contract id.

Request

Patch additional information for an EOR employee contract.
dataobjectRequired

You can submit any subset of fields. Keys not listed above are treated as country/state-specific additional information fields. Those keys must match the fields returned by GET /forms/eor/worker-additional-fields/{country_code} (public keys).

Response

Successful operation.
dataobject

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
429
Too Many Requests Error
500
Internal Server Error

Authentication

The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.

1curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \
2 -H 'Authorization: Bearer YOUR-TOKEN-HERE'

Learn more about authentication